Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Interface StructuredData

All Known Subinterfaces:
  Triplet

All Known Implementing Classes:
  AbstractGraphicsDrawingOrder, AbstractGraphicsDrawingOrderContainer, AbstractTriplet

public interface StructuredData

An AFP object which is able to know its own data length prior to writeToStream()

Method Summary
`int` | `getDataLength()` Returns the data length of this structured field

Method Detail

### getDataLength

    public int getDataLength()

  Returns the data length of this structured field

  Returns:
    the data length of this structured field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.